Start a new LiveKit-backed conversation for a Simwood agent

Required scope: convai:write

Path Parameters
  • id
    Type: string
    required

    Agent ID (voice-ai-api internal id)

Body
application/json
  • config
    Type: object ·
Responses
  • application/json
  • 400

    Agent provider not supported for this conversation endpoint

  • application/json
  • 404

    Agent not found

  • 500

    Internal server error

Request Example for post/agents/{id}/conversations
curl 'https://api.simwood.com/convai/v1/agents/{id}/conversations' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "config": {
    "conversation_config_override": {
      "text_only": true
    },
    "dynamic_variables": {}
  }
}'
{
  "id": "string",
  "agent_id": "string",
  "room_name": "string",
  "ws": {
    "url": "string",
    "token": "string",
    "text_only": true
  }
}